> For the complete documentation index, see [llms.txt](https://docs.blockflow.network/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.blockflow.network/cli/glossary/itransaction.md).

# ITransaction

It is predefined interface containing transaction data.

| Field                                       | Description                                                            |
| ------------------------------------------- | ---------------------------------------------------------------------- |
| transaction\_hash                           | Hash of the block in which this transaction was located.               |
| transaction\_nonce                          | Number of transactions made by the sender prior to this one.           |
| transaction\_index                          | The transaction's index position in the block.                         |
| transaction\_from\_address                  | Address of the sender.                                                 |
| transaction\_to\_address                    | Address of the receiver.                                               |
| transaction\_value                          | Value transferred in Wei.                                              |
| transaction\_gas                            | Quantity of gas units provided by the sender.                          |
| transaction\_gas\_price                     | Price per gas unit provided by the sender in Wei.                      |
| transaction\_input                          | Data sent along with the transaction, with a maximum size of 32 bytes. |
| transaction\_receipt\_cumulative\_gas\_used | Gas used by this and all preceding transactions in the block.          |
| transaction\_receipt\_gas\_used             | Gas used by this transaction alone.                                    |
| transaction\_receipt\_status                | Either 1 (success) or 0 (failure).                                     |
| receipt\_effective\_gas\_price              | Actual value per gas deducted from the sender's account.               |
| logs                                        | logs.                                                                  |

```typescript
export interface ITransaction {
  transaction_hash: string;
  transaction_nonce: string;
  transaction_index: string;
  transaction_from_address: string;
  transaction_to_address: string;
  transaction_value: string;
  transaction_gas: string;
  transaction_gas_price: string;
  transaction_input: string;
  transaction_receipt_cumulative_gas_used: string;
  transaction_receipt_gas_used: string;
  transaction_receipt_status: string;
  receipt_effective_gas_price: string;
  logs: ILog[]
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.blockflow.network/cli/glossary/itransaction.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
